Package org.eclipse.birt.core.data

# Class DataType

java.lang.Object
org.eclipse.birt.core.data.DataType

public abstract class DataType extends Object
Defines constants for BIRT data types

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DataType.AnyType`
Other type can be found in JDK, such as Integer and String, but AnyType have to be manually created to make it correspond to "Any" name.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ANY_TYPE`
`static final String`
`ANY_TYPE_NAME`
`static final int`
`BINARY_TYPE`
`static final String`
`BINARY_TYPE_NAME`
`static final int`
`BLOB_TYPE`
`static final String`
`BLOB_TYPE_NAME`
`static final int`
`BOOLEAN_TYPE`
`static final String`
`BOOLEAN_TYPE_NAME`
`static final int`
`DATE_TYPE`
`static final String`
`DATE_TYPE_NAME`
`static final int`
`DECIMAL_TYPE`
`static final String`
`DECIMAL_TYPE_NAME`
`static final int`
`DOUBLE_TYPE`
`static final String`
`DOUBLE_TYPE_NAME`
`static final int`
`INTEGER_TYPE`
`static final String`
`INTEGER_TYPE_NAME`
`static final int`
`JAVA_OBJECT_TYPE`
`static final String`
`OBJECT_TYPE_NAME`
`static final int`
`SQL_DATE_TYPE`
`static final String`
`SQL_DATE_TYPE_NAME`
`static final int`
`SQL_TIME_TYPE`
`static final String`
`SQL_TIME_TYPE_NAME`
`static final int`
`STRING_TYPE`
`static final String`
`STRING_TYPE_NAME`
`static final int`
`UNKNOWN_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`DataType()`

## Method Summary

Modifier and Type
Method
Description
`static Class`
`getClass(int typeCode)`
Gets the Java class used to represent the specified data type.
`static String`
`getName(int typeCode)`
Gets the description of a data type.
`static boolean`
`isValidDataType(Class objClass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### UNKNOWN_TYPE

public static final int UNKNOWN_TYPE

See Also:
  - Constant Field Values

### ANY_TYPE

public static final int ANY_TYPE

See Also:
  - Constant Field Values

### BOOLEAN_TYPE

public static final int BOOLEAN_TYPE

See Also:
  - Constant Field Values

### INTEGER_TYPE

public static final int INTEGER_TYPE

See Also:
  - Constant Field Values

### DOUBLE_TYPE

public static final int DOUBLE_TYPE

See Also:
  - Constant Field Values

### DECIMAL_TYPE

public static final int DECIMAL_TYPE

See Also:
  - Constant Field Values

### STRING_TYPE

public static final int STRING_TYPE

See Also:
  - Constant Field Values

### DATE_TYPE

public static final int DATE_TYPE

See Also:
  - Constant Field Values

### BLOB_TYPE

public static final int BLOB_TYPE

See Also:
  - Constant Field Values

### BINARY_TYPE

public static final int BINARY_TYPE

See Also:
  - Constant Field Values

### SQL_DATE_TYPE

public static final int SQL_DATE_TYPE

See Also:
  - Constant Field Values

### SQL_TIME_TYPE

public static final int SQL_TIME_TYPE

See Also:
  - Constant Field Values

### JAVA_OBJECT_TYPE

public static final int JAVA_OBJECT_TYPE

See Also:
  - Constant Field Values

### ANY_TYPE_NAME

public static final String ANY_TYPE_NAME

### BOOLEAN_TYPE_NAME

public static final String BOOLEAN_TYPE_NAME

### INTEGER_TYPE_NAME

public static final String INTEGER_TYPE_NAME

### DOUBLE_TYPE_NAME

public static final String DOUBLE_TYPE_NAME

### DECIMAL_TYPE_NAME

public static final String DECIMAL_TYPE_NAME

### STRING_TYPE_NAME

public static final String STRING_TYPE_NAME

### DATE_TYPE_NAME

public static final String DATE_TYPE_NAME

### BLOB_TYPE_NAME

public static final String BLOB_TYPE_NAME

### BINARY_TYPE_NAME

public static final String BINARY_TYPE_NAME

### SQL_DATE_TYPE_NAME

public static final String SQL_DATE_TYPE_NAME

### SQL_TIME_TYPE_NAME

public static final String SQL_TIME_TYPE_NAME

### OBJECT_TYPE_NAME

public static final String OBJECT_TYPE_NAME

## Constructor Details

### DataType

public DataType()

## Method Details

### getName

public static String getName(int typeCode)
Gets the description of a data type.

Parameters:
  `typeCode` - Data type enumeration value
Returns:
  Textual description of data type. "Unknown" if an undefined data type is passed in.

### getClass

public static Class getClass(int typeCode)
Gets the Java class used to represent the specified data type.

Returns:
  Class for the specified data type. If data type is unknown or ANY, returns null.

### isValidDataType

public static boolean isValidDataType(Class objClass)

Parameters:
  `objClass` -
Returns: